Subject: Re: [Bier] New Version Notification for draft-wang-bier-lite-ospf-extension-01.txt

From: Xuxiaohu <[email-masked]>
Date: Mon, 2 Nov 2015 00:33:55 +0000

Hi Stig,

________________________________________
发件人: BIER [[email-masked]] 代表 Stig Venaas [[email-masked]]
发送时间: 2015年11月1日 9:12
收件人: IJsbrand Wijnands
抄送: [email-masked]; [email-masked]
主题: Re: [Bier] New Version Notification for draft-wang-bier-lite-ospf-extension-01.txt

I think it is useful to allow for BIER in non-MPLS networks, but one
could still for efficiency use 20-bit fields where their meaning is
defined by what is announced in the IGP. One could call them MPLS
labels or something else, it doesn't matter. It wouldn't be MPLS

[Xiaohu] It doesn't matter from the technical perspective. However, it does matter for those DC folks who are unfamiliar with MPLS or even dislike MPLS. That's the reason why those DC folks prefer to define a totally new VN ID field rather than using an MPLS VPN label. 

forwarding, just a compact encoding. One question perhaps though, is
whether it is useful in some cases to encode this information
directly, rather than the indirection which requires the additional
information in the IGP, or other means.

[Xiaohu] Fully agree with you that we need to evaluate the costs and benefits of the indirection deeply.

Best regards,
Xiaohu

Stig

On Wed, Oct 28, 2015 at 2:16 AM, IJsbrand Wijnands <[email-masked]> wrote:
> Hi Linda,
>
>>   Thanks for your patient explanation :)
>>   In fact, I totally agree that BIER-MPLS using MPLS label to lookup BIFT table is a perfect solution.
>
> No problem :-).
>
>>   Here, about BIER-Lite, it is just another choice for some operators who would like to run native IP network. Maybe it is not exactly correct to call this solution BIER-Lite, but the purpose of this solution, as you know, just for non-MPLS network. It is not MUST required to carry BSL information together with MPLS label information. In non-MPLS network, it seems acceptable to carry BSL information together with BIER info sub-TLV instead. So I propose to carry BSL information in BIER info sub-TLV. If this solution is worthy discussing, maybe we can change the name BIER-Lite to another more accurate one :)
>
> Its probably good to checkout below draft first.
>
> https://tools.ietf.org/id/draft-ietf-rtgwg-dt-encap-00.txt
>
> Thx,
>
> Ice.
>
> _______________________________________________
> BIER mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bier

_______________________________________________
BIER mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bier